Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface TradingPartnerMgmtMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface TradingPartnerMgmtMBean
extends TPMBaseMBean

The class represents the factory for all Services and Trading Partner. This is a globally unique, cluster-wide component and the central point from which TPM can be managed

Field Summary
`static String` | `ALL`
`static String` | `METADATA`
`static String` | `NONE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addReferenceToService(ServiceMBean serviceMBean)` Internal Use Only - Adds a reference to the service
`void` | `addReferenceToTradingPartner(TradingPartnerMBean tpMBean)` Internal Use Only - Adds a new trading partner by reference
`void` | `addService(String name, String description, String notes, String BusinessProcess, String type)` Adds a new service to trading partner management.
`void` | `addTradingPartner(String name, String businessId, String businessIdType, boolean isDefault, String status, String type, String description, String notes, String address, String fax, String phone, String email, String userName)` Adds a new trading partner
`String` | `getMessageTraceDirectory()` Returns the directory location of the message trace files.
`String` | `getMessageTrackingLevel()` Specifies the global settring for message tracking.
`boolean` | `isMessageTrace()` Specifies whether message traceing is enabled or not
`boolean` | `isSecureAuditLogging()` Specifies whether secure audit logging is enabled or not
`boolean` | `isTestMode()` If true, trading partner bindings are defaulted for testing
`void` | `removeService(String name)` Removes the service from trading partner management.
`void` | `removeServiceWithReferences(String name)` Removes all the reference for the service from trading partner.
`void` | `removeTradingPartner(String name)` Removes the trading partner, identified by name.
`void` | `removeTradingPartnerWithReferences(String name)` Removes all the elements of the trading partners, all the binding, certificates, extended property set would be removed belonging to the trading partner
`ArrayList` | `retrieveAllServiceProfilesForTP(String tpName)` Internal Use Only - Returns a list of instances of ServiceProfileMBean for all the matching service profiles for all the services, where this partner name is configured.
`ServiceMBean[]` | `retrieveAllServices()` Retrieves all the services configured in trading partner management
`TradingPartnerMBean[]` | `retrieveAllTradingPartners()` Retrieves all the trading partners instances configured
`TradingPartnerMBean` | `retrieveDefaultTradingPartner()` Retrieves the default Trading Partner, configured
`ServiceMBean` | `retrieveService(String name)` Retrieves a service from trading partner management, identified by name
`ServiceProfileMBean` | `retrieveServiceProfile(String serviceName, String remoteTP, String localTP)` Returns an instance of the service profile.
`ArrayList` | `retrieveServiceProfileForBinding(String bindingName)` Internal Use Only - Returns the service profile instance with partner name and partners binding name.
`ServiceProfileMBean` | `retrieveServiceProfileForTP(String serviceName, String remoteTP)` Internal Use Only - Returns the Service Profile for the service name and remote partner name In this case the local partner is assumed as the default trading partner
`ArrayList` | `retrieveServiceProfilesByBPNameVersionAndEP(String protocol, String version, String url)` Internal Use Only - Gets the list of ServiceProfileMBeans for a specific Business Protocol Name, Version and End Point
`ArrayList` | `retrieveServiceProfilesByBusinessProtocol(String businessProtocolName)` Internal Use Only - Gets the MBean of a specfic Service profile by business protocol name like, ebxml, rosettanet, webservices
`TradingPartnerMBean` | `retrieveTradingPartner(String name)` Retrieves an instance of the trading partner, identified by name
`TradingPartnerMBean` | `retrieveTradingPartnerByID(String businessId)` Retrieves an instance of the trading partner, identified by trading partner id
`void` | `setMessageTrace(boolean newValue)` Registers, whether message traceing should be enabled or not.
`void` | `setMessageTraceDirectory(String newValue)` Specifies the directory location of the message trace files.
`void` | `setMessageTrackingLevel(String newValue)` Registers the global settring for message tracking.
`void` | `setSecureAuditLogging(boolean newValue)` Registers, whether secure audit logging should be enabled or not.
`void` | `setTestMode(boolean newValue)` If true, trading partner bindings are defaulted for testing
`void` | `updateAll(String messageTrackingLevel, boolean messageTrace, String messageTraceDirectory, boolean testMode)`

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### ALL

    public static final String ALL

See Also:
  Constant Field Values

### METADATA

    public static final String METADATA

See Also:
  Constant Field Values

### NONE

    public static final String NONE

See Also:
  Constant Field Values

Method Detail

### isSecureAuditLogging

    public boolean isSecureAuditLogging()

  Specifies whether secure audit logging is enabled or not

  Returns:
    boolean - true if secure audit logging is enabled - false if not

### setSecureAuditLogging

    public void setSecureAuditLogging(boolean newValue)
                               throws javax.management.InvalidAttributeValueException

  Registers, whether secure audit logging should be enabled or not. Defaultly, the secure audit logging is turned off

  Parameters:
    `newValue` - - boolean - true, enabled secure audit logging - false, disable secure audit logging
  Throws:
    `javax.management.InvalidAttributeValueException`

### getMessageTrackingLevel

    public String getMessageTrackingLevel()

  Specifies the global settring for message tracking. Message tracking levelc an be

  - NONE - No message tracking is required
  - METADATA - Only track metadata for the message
  - ALL - Track all metadata, all message payloads

### setMessageTrackingLevel

    public void setMessageTrackingLevel(String newValue)
                                 throws javax.management.InvalidAttributeValueException

  Registers the global settring for message tracking. Message tracking levelc an be

  - NONE - No message tracking is required
  - METADATA - Only track metadata for the message
  - ALL - Track all metadata, all message payloads
  If message tracking level can be override the global message tracking level as specified in TradingPartnerMgmtMBean

  Parameters:
    `newValue` - - new value for attribute MessageTrackingLevel
  Throws:
    `javax.management.InvalidAttributeValueException`

### isMessageTrace

    public boolean isMessageTrace()

  Specifies whether message traceing is enabled or not

  Returns:
    boolean - true if message traceing is enabled - false if not

### setMessageTrace

    public void setMessageTrace(boolean newValue)
                         throws javax.management.InvalidAttributeValueException

  Registers, whether message traceing should be enabled or not. Default, the message traceing is turned off

  Parameters:
    `newValue` - - boolean - true, enable message traceing - false, disable message traceing
  Throws:
    `javax.management.InvalidAttributeValueException`

### getMessageTraceDirectory

    public String getMessageTraceDirectory()

  Returns the directory location of the message trace files.

  Returns:
    String - directory location.

### setMessageTraceDirectory

    public void setMessageTraceDirectory(String newValue)
                                  throws javax.management.InvalidAttributeValueException

  Specifies the directory location of the message trace files. This is used when message trace is true.

  Parameters:
    `newValue` - - directory location of the message trace files.
  Throws:
    `javax.management.InvalidAttributeValueException`

### isTestMode

    public boolean isTestMode()

  If true, trading partner bindings are defaulted for testing

### setTestMode

    public void setTestMode(boolean newValue)
                     throws javax.management.InvalidAttributeValueException

  If true, trading partner bindings are defaulted for testing

  Parameters:
    `newValue` - - new value for attribute TestMode
  Throws:
    `javax.management.InvalidAttributeValueException`

### retrieveAllTradingPartners

    public TradingPartnerMBean[] retrieveAllTradingPartners()
                                                     throws ManagementException

  Retrieves all the trading partners instances configured

  Throws:
    `ManagementException`

### retrieveTradingPartner

    public TradingPartnerMBean retrieveTradingPartner(String name)
                                               throws ManagementException,
                                                      javax.management.InstanceNotFoundException

  Retrieves an instance of the trading partner, identified by name

  Parameters:
    `name` - - name of trading partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If no trading partner with name exists

### retrieveTradingPartnerByID

    public TradingPartnerMBean retrieveTradingPartnerByID(String businessId)
                                                   throws ManagementException,
                                                          javax.management.InstanceNotFoundException

  Retrieves an instance of the trading partner, identified by trading partner id

  Parameters:
    `businessId` - - Business id of trading partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### retrieveDefaultTradingPartner

    public TradingPartnerMBean retrieveDefaultTradingPartner()
                                                      throws ManagementException,
                                                             javax.management.InstanceNotFoundException

  Retrieves the default Trading Partner, configured

  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If no default exists

### addTradingPartner

    public void addTradingPartner(String name,
                                  String businessId,
                                  String businessIdType,
                                  boolean isDefault,
                                  String status,
                                  String type,
                                  String description,
                                  String notes,
                                  String address,
                                  String fax,
                                  String phone,
                                  String email,
                                  String userName)
                           throws ConfigurationException,
                                  javax.management.InstanceAlreadyExistsException

  Adds a new trading partner

  Parameters:
    `name` - - Name of collaboration agreement
    `businessId` - - business-id of party identifier to be used
    `businessIdType` - - business-id Type of party identifier to be used
    `isDefault` - - Is the trading Partner Default
    `type` - - Type of Trading Partner(LOCAL or REMOTE)
    `description` - - Description
    `notes` - - Notes
    `address` - - Address
    `fax` - - Fax Number
    `phone` - - Phone Number
    `email` - - Email Address
    `userName` - - WLS User Name
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### addReferenceToTradingPartner

    public void addReferenceToTradingPartner(TradingPartnerMBean tpMBean)
                                      throws ConfigurationException,
                                             javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a new trading partner by reference

  Parameters:
    `tpMBean` - - trading partner
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### removeTradingPartner

    public void removeTradingPartner(String name)
                              throws DeleteException,
                                     javax.management.InstanceNotFoundException

  Removes the trading partner, identified by name. If the trading partner has sctive service profiles then removal of this trading partner will fail.

  Parameters:
    `name` - - name of trading partner to remove
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException` - - If trading partner with name does not exists

### removeTradingPartnerWithReferences

    public void removeTradingPartnerWithReferences(String name)
                                            throws DeleteException,
                                                   javax.management.InstanceNotFoundException

  Removes all the elements of the trading partners, all the binding, certificates, extended property set would be removed belonging to the trading partner

  Parameters:
    `name` - - name of trading partner to remove
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException` - - If trading partner with name does not exists

### retrieveAllServices

    public ServiceMBean[] retrieveAllServices()
                                       throws ManagementException

  Retrieves all the services configured in trading partner management

  Returns:
    - array of all ServiceMBean instances
  Throws:
    `ManagementException`

### retrieveService

    public ServiceMBean retrieveService(String name)
                                 throws ManagementException,
                                        javax.management.InstanceNotFoundException

  Retrieves a service from trading partner management, identified by name

  Parameters:
    `name` - - name of service
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If service with name does not exists

### addReferenceToService

    public void addReferenceToService(ServiceMBean serviceMBean)
                               throws ConfigurationException,
                                      javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a reference to the service

  Parameters:
    `serviceMBean` - - service mbean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### addService

    public void addService(String name,
                           String description,
                           String notes,
                           String BusinessProcess,
                           String type)
                    throws ConfigurationException,
                           javax.management.InstanceAlreadyExistsException

  Adds a new service to trading partner management.

  Parameters:
    `name` - - Name of service
    `description` - - short textual description
    `notes` - - additional textual description
    `BusinessProcess` - - the business protocol used for this service. Following are the possible types

    - WEBSERVICE
    - EBXML
    - ROSETTANET
    `type` - - type of the service options Following are the possible types

    - WEBSERVICE - If the service respresents a web service or JWS file
    - PROCESS - If the service is workflow or JPD
    - SERVICECONTROL - service offered by WLI domain, to invoke remote service
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`
  See Also:
    `ServiceMBean`

### removeService

    public void removeService(String name)
                       throws DeleteException,
                              javax.management.InstanceNotFoundException

  Removes the service from trading partner management. Removing the service, will remove all the service profiles for the service are also deleted. If a service profile is active, then this service will not be deleted.

  Parameters:
    `name` - - Name of the service
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException` - - If none exists with specified name

### removeServiceWithReferences

    public void removeServiceWithReferences(String name)
                                     throws DeleteException,
                                            javax.management.InstanceNotFoundException

  Removes all the reference for the service from trading partner. Removing the service, will remove all the service profiles for the service are also deleted, which implies that the business messages that could not be exchanged between the partners for all those service profiles. All the service profiles configured would be disabled before deletion.

  Parameters:
    `name` - - Name of the service
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException` - - If no service with the specified name exists

### retrieveServiceProfilesByBusinessProtocol

    public ArrayList retrieveServiceProfilesByBusinessProtocol(String businessProtocolName)
                                                        throws ManagementException

  Internal Use Only - Gets the MBean of a specfic Service profile by business protocol name like, ebxml, rosettanet, webservices

  Parameters:
    `businessProtocolName` - - Business Protocol Name
  Throws:
    `ManagementException`

### retrieveServiceProfile

    public ServiceProfileMBean retrieveServiceProfile(String serviceName,
                                                      String remoteTP,
                                                      String localTP)
                                               throws ManagementException,
                                                      javax.management.InstanceNotFoundException

  Returns an instance of the service profile.

  Parameters:
    `serviceName` - - name of the Service
    `remoteTP` - - name of the remote trading partner
    `localTP` - - name of the local trading partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If no service profile exists for the servicename, remote partner name, local partner name

### retrieveServiceProfileForTP

    public ServiceProfileMBean retrieveServiceProfileForTP(String serviceName,
                                                           String remoteTP)
                                                    throws ManagementException,
                                                           javax.management.InstanceNotFoundException

  Internal Use Only - Returns the Service Profile for the service name and remote partner name In this case the local partner is assumed as the default trading partner

  Parameters:
    `serviceName` - - name of the Service
    `remoteTP` - - name of the remote trading partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### retrieveAllServiceProfilesForTP

    public ArrayList retrieveAllServiceProfilesForTP(String tpName)
                                              throws ManagementException,
                                                     javax.management.InstanceNotFoundException

  Internal Use Only - Returns a list of instances of ServiceProfileMBean for all the matching service profiles for all the services, where this partner name is configured.

  Parameters:
    `tpName` - - name of the trading Partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException` - - If none exits

### retrieveServiceProfileForBinding

    public ArrayList retrieveServiceProfileForBinding(String bindingName)
                                               throws ManagementException,
                                                      javax.management.InstanceNotFoundException

  Internal Use Only - Returns the service profile instance with partner name and partners binding name.

  Parameters:
    `bindingName` - - name of the Service
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### retrieveServiceProfilesByBPNameVersionAndEP

    public ArrayList retrieveServiceProfilesByBPNameVersionAndEP(String protocol,
                                                                 String version,
                                                                 String url)
                                                          throws ManagementException

  Internal Use Only - Gets the list of ServiceProfileMBeans for a specific Business Protocol Name, Version and End Point

  Parameters:
    `protocol` - - Business Protocol Name
    `version` - - Business Protocol Version
    `url` - - Transport End Point
  Throws:
    `ManagementException`

### updateAll

    public void updateAll(String messageTrackingLevel,
                          boolean messageTrace,
                          String messageTraceDirectory,
                          boolean testMode)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Parameters:
    `messageTrackingLevel` - - Message Tracking Level
    `messageTrace` - - Message Trace
    `messageTraceDirectory` - - Message Trace Directory
    `testMode` - - Test Mode
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD